function [C] = winvar1(data, window)

% winvar1 calculates windowed variance of data, with the window length equal
% to window. It returns a vector C consisting of all the variance serially
% arranged in an array.
% Written by Kaushik Majumdar, October 2009.

k = length(data);
A = zeros(1,window);
B = zeros(k - window,1);

if floor(window) ~= window || window <= 100
   disp('"window" must be an integer greater than 100.');
   return;
   
else

for i = 1 : 100 : k - window
    for j = 1 : window
        A(1,j) = data(i + j - 1);
    end
        B(i) = var(A(1,:));
end

end

C = B;